## helma.util
Class InetAddressFilter

    java.lang.Object
      helma.util.InetAddressFilter

    public class InetAddressFilter

extends java.lang.Object

A class for paranoid servers to filter IP addresses.

Constructor Summary
`InetAddressFilter()` Creates a new InetAddressFilter object.

Method Summary
`void` `addAddress(java.lang.String address)` Addes an address template to the address filter.
`boolean` `matches(java.net.InetAddress address)` Check if the given address matches any of our patterns

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InetAddressFilter

    public InetAddressFilter()

  Creates a new InetAddressFilter object.

Method Detail

### addAddress

    public void addAddress(java.lang.String address)
                    throws java.io.IOException

  Addes an address template to the address filter.

  Parameters:
    `address` - The string representation of the IP address, either version 4 or 6.
  Throws:
    `java.io.IOException` - if the parameter does not represent a valid IP address

### matches

    public boolean matches(java.net.InetAddress address)

  Check if the given address matches any of our patterns

  Parameters:
    `address` - the ip address to match
  Returns:
    true if we find a match

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.